Package ch.qos.logback.core.net.ssl

# Class SSLNestedComponentRegistryRules

java.lang.Object
ch.qos.logback.core.net.ssl.SSLNestedComponentRegistryRules

public class SSLNestedComponentRegistryRules extends Object
Nested component registry rules for `SSLConfiguration` and its components.

Author:
  Carl Harris

## Constructor Summary

Constructors
Constructor
Description
`SSLNestedComponentRegistryRules()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SSLNestedComponentRegistryRules

public SSLNestedComponentRegistryRules()

## Method Details

### addDefaultNestedComponentRegistryRules

public static void addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)